[oe-commits] org.oe.dev sysvinit: merge psplash reboot handling from poky

koen commit openembedded-commits at lists.openembedded.org
Fri Mar 30 11:26:57 UTC 2007


sysvinit: merge psplash reboot handling from poky

Author: koen at openembedded.org
Branch: org.openembedded.dev
Revision: 3b4f52cdeb8cddba4b5e72a3dad118c55b67a0d1
ViewMTN: http://monotone.openembedded.org/revision.psp?id=3b4f52cdeb8cddba4b5e72a3dad118c55b67a0d1
Files:
1
packages/sysvinit/sysvinit/angstrom/rc
packages/sysvinit/sysvinit_2.86.bb
Diffs:

#
# mt diff -r49ef6ebde635ab4c92b80e041d5a809d9185058f -r3b4f52cdeb8cddba4b5e72a3dad118c55b67a0d1
#
# 
# 
# patch "packages/sysvinit/sysvinit/angstrom/rc"
#  from [aae7d060521d4d5a5a76715499b06749797448d5]
#    to [b551845b63347c4246527ee99df08b58f3477cf0]
# 
# patch "packages/sysvinit/sysvinit_2.86.bb"
#  from [06b9e536d37b0e13f885c569b186d470e69d9722]
#    to [4355933507effe083105a1e8daac54090c91bd50]
# 
============================================================
--- packages/sysvinit/sysvinit/angstrom/rc	aae7d060521d4d5a5a76715499b06749797448d5
+++ packages/sysvinit/sysvinit/angstrom/rc	b551845b63347c4246527ee99df08b58f3477cf0
@@ -1,5 +1,4 @@
 #!/bin/sh
-
 #
 # rc		This file is responsible for starting/stopping
 #		services when the runlevel changes.
@@ -21,13 +20,12 @@ startup_progress() {
 
 startup_progress() {
     step=$(($step + $step_change))
-
-    if [ $(($num_steps + $first_step)) -lt 1 ]; then
-        num_steps="1"
-        first_step="0"
+    if [ "$num_steps" != "0" ]; then
+        progress=$((($step * $progress_size / $num_steps) + $first_step))
+    else
+        progress=$progress_size
     fi
-
-    progress=$(($step * $progress_size / $num_steps + $first_step))
+    #echo "PROGRESS is $progress $runlevel $first_step + ($step of $num_steps) $step_change $progress_size"
     if type psplash-write >/dev/null 2>&1; then
         TMPDIR=/mnt/.psplash psplash-write "PROGRESS $progress" || true
     fi
@@ -93,10 +91,10 @@ startup() {
 
 	case "$runlevel" in
 		0|6)
-			# Count down from 0 to -100 and use the entire bar
-			first_step=0
+			# Count down from -100 to 0 and use the entire bar
+			first_step=-100
 			progress_size=100
-			step_change=-1
+			step_change=1
 			;;
 	        S)
 			# Begin where the initramfs left off and use 2/3
@@ -113,6 +111,17 @@ startup() {
 			;;
 	esac
 
+	num_steps=0
+	for s in /etc/rc$runlevel.d/[SK]*; do
+            case "${s##/etc/rc$runlevel.d/S??}" in
+                gdm|xdm|kdm|reboot|halt)
+                    break
+                    ;;
+            esac
+            num_steps=$(($num_steps + 1))
+        done
+        step=0
+
 	# First, run the KILL scripts.
 	if [ $previous != N ]
 	then
@@ -126,18 +135,6 @@ startup() {
 		done
 	fi
 
-	num_steps=0
-	for s in /etc/rc$runlevel.d/[SK]*; do
-            case "${s##/etc/rc$runlevel.d/S??}" in
-                gdm|xdm|kdm|reboot|halt)
-                    break
-                    ;;
-            esac
-            num_steps=$(($num_steps + 1))
-        done
-
-        step=0
-
 	# Now run the START scripts for this runlevel.
 	for i in /etc/rc$runlevel.d/S*
 	do
@@ -170,9 +167,10 @@ startup() {
 	done
   fi
 
+#Uncomment to cause psplash to exit manually, otherwise it exits when it sees a VC switch
+#if [ "x$runlevel" != "xS" ]; then
+#    if type psplash-write >/dev/null 2>&1; then
+#        TMPDIR=/mnt/.psplash psplash-write "QUIT" || true
+#    	umount /mnt/.psplash
+#    fi
+#fi
-if [ "x$runlevel" != "xS" ]; then
-    if type psplash-write >/dev/null 2>&1; then
-        TMPDIR=/mnt/.psplash psplash-write "QUIT" || true
-    	umount /mnt/.psplash
-    fi
-fi
============================================================
--- packages/sysvinit/sysvinit_2.86.bb	06b9e536d37b0e13f885c569b186d470e69d9722
+++ packages/sysvinit/sysvinit_2.86.bb	4355933507effe083105a1e8daac54090c91bd50
@@ -1,8 +1,8 @@ HOMEPAGE = "http://freshmeat.net/project
 DESCRIPTION = "System-V like init."
 SECTION = "base"
 LICENSE = "GPL"
 HOMEPAGE = "http://freshmeat.net/projects/sysvinit/"
-PR = "r33"
+PR = "r34"
 
 # USE_VT and SERIAL_CONSOLE are generally defined by the MACHINE .conf.
 # Set PACKAGE_ARCH appropriately.






More information about the Openembedded-commits mailing list